RDKit: RDCatalog::CatalogEntry Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDCatalog::CatalogEntry Class Referenceabstract

Abstract base class to be used to represent an entry in a Catalog. More...

`#include <CatalogEntry.h>`

Inheritance diagram for RDCatalog::CatalogEntry:

## Public Member Functions
virtual | ~CatalogEntry ()=0
void | setBitId (int bid)
| sets our bit Id
int | getBitId () const
| returns our bit Id
virtual std::string | getDescription () const =0
| returns a text description of this entry
virtual void | toStream (std::ostream &ss) const =0
| serializes (pickles) to a stream
virtual std::string | Serialize () const =0
| returns a string with a serialized (pickled) representation
virtual void | initFromStream (std::istream &ss)=0
| initializes from a stream pickle
virtual void | initFromString (const std::string &text)=0
| initializes from a string pickle

## Detailed Description

Abstract base class to be used to represent an entry in a Catalog.

Definition at line 19 of file CatalogEntry.h.

## Constructor & Destructor Documentation

## ◆ ~CatalogEntry()

virtual RDCatalog::CatalogEntry::~CatalogEntry | ( |  | ) |
| pure virtual

## Member Function Documentation

## ◆ getBitId()

int RDCatalog::CatalogEntry::getBitId | ( |  | ) | const
| inline

returns our bit Id

Definition at line 27 of file CatalogEntry.h.

## ◆ getDescription()

virtual std::string RDCatalog::CatalogEntry::getDescription | ( |  | ) | const
| pure virtual

returns a text description of this entry

Implemented in RDKit::FilterCatalogEntry, RDKit::FragCatalogEntry, and RDKit::MolCatalogEntry.

## ◆ initFromStream()

virtual void RDCatalog::CatalogEntry::initFromStream | ( | std::istream & | ss | ) |
| pure virtual

initializes from a stream pickle

Implemented in RDKit::FilterCatalogEntry, RDKit::FragCatalogEntry, RDKit::MolCatalogEntry, RDKit::MolStandardize::AcidBaseCatalogEntry, RDKit::MolStandardize::FragmentCatalogEntry, RDKit::MolStandardize::TautomerCatalogEntry, and RDKit::MolStandardize::TransformCatalogEntry.

## ◆ initFromString()

virtual void RDCatalog::CatalogEntry::initFromString | ( | const std::string & | text | ) |
| pure virtual

initializes from a string pickle

Implemented in RDKit::FilterCatalogEntry, RDKit::FragCatalogEntry, RDKit::MolCatalogEntry, RDKit::MolStandardize::AcidBaseCatalogEntry, RDKit::MolStandardize::FragmentCatalogEntry, RDKit::MolStandardize::TautomerCatalogEntry, and RDKit::MolStandardize::TransformCatalogEntry.

## ◆ Serialize()

virtual std::string RDCatalog::CatalogEntry::Serialize | ( |  | ) | const
| pure virtual

returns a string with a serialized (pickled) representation

Implemented in RDKit::FilterCatalogEntry, RDKit::FragCatalogEntry, RDKit::MolCatalogEntry, RDKit::MolStandardize::AcidBaseCatalogEntry, RDKit::MolStandardize::FragmentCatalogEntry, RDKit::MolStandardize::TautomerCatalogEntry, and RDKit::MolStandardize::TransformCatalogEntry.

## ◆ setBitId()

void RDCatalog::CatalogEntry::setBitId | ( | int | bid | ) |
| inline

sets our bit Id

Definition at line 24 of file CatalogEntry.h.

Referenced by RDKit::MolStandardize::AcidBaseCatalogEntry::AcidBaseCatalogEntry(), RDKit::FragCatalogEntry::FragCatalogEntry(), RDKit::MolStandardize::FragmentCatalogEntry::FragmentCatalogEntry(), RDKit::MolCatalogEntry::MolCatalogEntry(), RDKit::MolStandardize::TautomerCatalogEntry::TautomerCatalogEntry(), and RDKit::MolStandardize::TransformCatalogEntry::TransformCatalogEntry().

## ◆ toStream()

virtual void RDCatalog::CatalogEntry::toStream | ( | std::ostream & | ss | ) | const
| pure virtual

serializes (pickles) to a stream

Implemented in RDKit::FilterCatalogEntry, RDKit::FragCatalogEntry, RDKit::MolCatalogEntry, RDKit::MolStandardize::AcidBaseCatalogEntry, RDKit::MolStandardize::FragmentCatalogEntry, RDKit::MolStandardize::TautomerCatalogEntry, and RDKit::MolStandardize::TransformCatalogEntry.

The documentation for this class was generated from the following file:

- CatalogEntry.h